------------------------------------------------------------------
--                                                              --
--  File:   Backup_Database.SQL                                 --
--          Microsoft TPC-E Benchmark Kit Ver. 1.12.0-1025      --
--          Copyright Microsoft  2010, 2011, 2012               --
--                                                              --
------------------------------------------------------------------
-- DS 09.2012 - 5x JX40, 18 SSDs RAID5 Kit 1.12.0-1025          --
------------------------------------------------------------------

USE master
GO
SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'create main database files tpce'
GO

--  create main database files
CREATE DATABASE tpce
ON PRIMARY
(	NAME		= MSSQL_tpce_root,
	FILENAME	= 'C:\MSSQL_tpce_root.mdf',
	SIZE		= 20MB,
	FILEGROWTH	= 0),
FILEGROUP	tpce_fg1
(	NAME		= TPCE1,
	FILENAME	= 'C:\jp\tpce011\',
	SIZE		= 70200MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE2,
	FILENAME	= 'C:\jp\tpce021\',
	SIZE		= 70200MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE3,
	FILENAME	= 'C:\jp\tpce031\',
	SIZE		= 70200MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE4,
	FILENAME	= 'C:\jp\tpce041\',
	SIZE		= 70200MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE5,
	FILENAME	= 'C:\jp\tpce051\',
	SIZE		= 70200MB,
	FILEGROWTH	= 0),
FILEGROUP	tpce_fg2
(	NAME		= TPCE06,
	FILENAME	= 'C:\jp\tpce012\',
	SIZE		= 1036800MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE07,
	FILENAME	= 'C:\jp\tpce022\',
	SIZE		= 1036800MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE08,
	FILENAME	= 'C:\jp\tpce032\',
	SIZE		= 1036800MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE09,
	FILENAME	= 'C:\jp\tpce042\',
	SIZE		= 1036800MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE10,
	FILENAME	= 'C:\jp\tpce052\',
	SIZE		= 1036800MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE11,
	FILENAME	= 'C:\jp\tpce013\',
	SIZE		= 1036800MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE12,
	FILENAME	= 'C:\jp\tpce023\',
	SIZE		= 1036800MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE13,
	FILENAME	= 'C:\jp\tpce033\',
	SIZE		= 1036800MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE14,
	FILENAME	= 'C:\jp\tpce043\',
	SIZE		= 1036800MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE15,
	FILENAME	= 'C:\jp\tpce053\',
	SIZE		= 1036800MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE16,
	FILENAME	= 'C:\jp\tpce014\',
	SIZE		= 1036800MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE17,
	FILENAME	= 'C:\jp\tpce024\',
	SIZE		= 1036800MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE18,
	FILENAME	= 'C:\jp\tpce034\',
	SIZE		= 1036800MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE19,
	FILENAME	= 'C:\jp\tpce044\',
	SIZE		= 1036800MB,
	FILEGROWTH	= 0),
(	NAME		= TPCE20,
	FILENAME	= 'C:\jp\tpce054\',
	SIZE		= 1036800MB,
	FILEGROWTH	= 0)
LOG ON
(	NAME		= MSSQL_tpce_log,
	FILENAME	= 'L:',
	SIZE		= 450000MB,
	FILEGROWTH	= 0)
COLLATE Latin1_General_BIN
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO


