------------------------------------------------------------------
--                                                              --
--  File:   Create_DM_Audit_Table.SQL                           --
--          Microsoft TPC-E Benchmark Kit Ver. 1.12.0-1025      --
--          Copyright Microsoft  2010, 2011, 2012               --
--                                                              --
------------------------------------------------------------------
USE tpce
GO

IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'DM_Audit_Table' )
    DROP TABLE DM_Audit_Table
GO

CREATE TABLE DM_Audit_Table (
                                Table_Name      varchar(18),
                                Cust_ID         bigint,
                                Acct_ID         bigint,
                                Company_ID      bigint,
                                Day_of_Month    tinyint,
                                Symbol          varchar(15),
                                Tax_ID          char(4),
                                Vol_Increment   smallint,
                                TimeStamp       datetime
                            )
GO
                      
